
public class Main {

	public static void main(String[] args) {
		Dll dll = new Dll();
		System.out.println("[Main] DLL ok");

		String dev = "com65";

		int ret;

//		ret = dll.init(1, dev);
		ret = dll.initSim();
		if (ret == 0) {
			System.out.println("[Main] Dll init ok");
		} else {
			System.out.println("[Main] Dll init ERROR " + ret);
			return;
		}

		//wait for AibotixMessageSystem
		try {
			Thread.currentThread();
			Thread.sleep(3000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}

		double DCMNick=0, DCMRoll=0;
		int nick=0, roll=0;

		for (int i = 0; i < 300; ++i) {
			//read Nickangle
			DCMNick = dll.getDCMNick();
			System.out.println("[Main] get DCMNick " + DCMNick);

			nick = (int)(3850 + (DCMNick) * 0.3);
			nick = 3850; //set neutral
			dll.setCamNick(nick); 
			System.out.println("[Main] set nick " + nick);
			
			DCMRoll = dll.getDCMRoll();
			System.out.println("[Main] get DCMRoll " + DCMRoll);

			roll = (int)(2970 + (DCMRoll) * 0.3);
			roll = 2970; //set neutral
			dll.setCamRoll(roll);
			System.out.println("[Main] set roll " + roll);
			
			try {
				Thread.currentThread();
				Thread.sleep(33);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}

		}		
		
		System.out.println("[Main] Shutdown...");

		try {
			Thread.currentThread();
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}


		ret = dll.deinit();
		if (ret == 0) {
			System.out.println("[Main] Dll deinit ok");
		} else {
			System.out.println("[Main] Dll deinit ERROR " + ret);
		}

	}

}
